Main Page Widgets Namespaces Book

# Gtk::RadioButton Class Reference
[Widgets]

A single radio button performs the same basic function as a Gtk::CheckButton, as its position in the object hierarchy reflects. More...

Inheritance diagram for Gtk::RadioButton:

[legend]
List of all members.

## Public Types
typedef RadioButton_Helpers::Group | Group
## Public Methods
virtual | ~RadioButton ()
GtkRadioButton* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkRadioButton* | gobj () const
| Provides access to the underlying C GtkObject.
| RadioButton ()
| RadioButton (const Glib::ustring& label, bool mnemonic=false)
| RadioButton (Group& group)
| Create an empty RadioButton belonging to the specified group, into which you can add() a widget.
| RadioButton (Group& group, const Glib::ustring& label, bool mnemonic=false)
| Create a button belonging to the specified group, with a label inside.
Group | get_group ()
void | set_group (Group& group)
void | reset_group ()
## Related Functions
(Note that these are not member functions.)
Gtk::RadioButton* | wrap (GtkRadioButton* object, bool take_copy=false)

## Detailed Description

A single radio button performs the same basic function as a Gtk::CheckButton, as its position in the object hierarchy reflects.

It is only when multiple radio buttons are grouped together that they become a different user interface component in their own right. Every radio button is a member of some group of radio buttons. When one is selected, all other radio buttons in the same group are deselected. A Gtk::RadioButton gives the user a choice from many options. After constructing the first RadioButton in a group, use get_group() and provide this Group to the constructors ot the other RadioButtons in the same group. To remove a Gtk::RadioButton from one group and make it part of a new one, use set_group().

## Member Typedef Documentation

typedef RadioButton_Helpers::Group Gtk::RadioButton::Group

## Constructor & Destructor Documentation

virtual Gtk::RadioButton::~RadioButton | ( |  | ) | `[virtual]`

Gtk::RadioButton::RadioButton | ( |  | ) |

Gtk::RadioButton::RadioButton | ( | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) |

Gtk::RadioButton::RadioButton | ( | Group& | group | ) |

| Create an empty RadioButton belonging to the specified group, into which you can add() a widget. If you wish to add a Gtk::Label, you may want to use the Gtk::RadioButton(const Group& group, const Glib::ustring& label, bool mnemonic) constructor directly instead.

Gtk::RadioButton::RadioButton | ( | Group& | group,
|  | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) |

| Create a button belonging to the specified group, with a label inside. You won't be able to add a widget to this button since it already contains a Gtk::Label.

## Member Function Documentation

Group Gtk::RadioButton::get_group | ( |  | ) |

const GtkRadioButton* Gtk::RadioButton::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CheckButton.

GtkRadioButton* Gtk::RadioButton::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CheckButton.

void Gtk::RadioButton::reset_group | ( |  | ) |

void Gtk::RadioButton::set_group | ( | Group& | group | ) |

## Friends And Related Function Documentation

Gtk::RadioButton* wrap | ( | GtkRadioButton* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- radiobutton.h